Index: /pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c	(revision 4439)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/pjsua_app.c	(revision 4440)
@@ -5460,6 +2593,4 @@
 		       rdata, tdata, NULL, NULL);
 }
-
-
 
 /*****************************************************************************
@@ -5539,5 +2670,4 @@
     return PJ_TRUE;
 }
-
 
 /* The module instance. */
@@ -5559,7 +2689,4 @@
 
 };
-
-
-
 
 /*****************************************************************************
@@ -6110,4 +3237,16 @@
     }
 
+    if (app_config.use_cli) {
+	/*
+	 * Init CLI
+	 */    
+	status = setup_cli();
+	if (status != PJ_SUCCESS)
+	    goto on_error;
+	
+	PJ_LOG(3,(THIS_FILE, "CLI telnet daemon listening at port %d", 
+		  app_config.cli_telnet_port));
+    }
+
     return PJ_SUCCESS;
 
@@ -6115,24 +3254,4 @@
     app_destroy();
     return status;
-}
-
-
-static int stdout_refresh_proc(void *arg)
-{
-    PJ_UNUSED_ARG(arg);
-
-    /* Set thread to lowest priority so that it doesn't clobber
-     * stdout output
-     */
-    pj_thread_set_prio(pj_thread_this(), 
-		       pj_thread_get_prio_min(pj_thread_this()));
-
-    while (!stdout_refresh_quit) {
-	pj_thread_sleep(stdout_refresh * 1000);
-	puts(stdout_refresh_text);
-	fflush(stdout);
-    }
-
-    return 0;
 }
 
@@ -6155,5 +3274,8 @@
     }
 
-    console_app_main(&uri_arg);
+    if (app_config.use_cli)
+	cli_console_app_main(&uri_arg, &app_restart);
+    else 
+	console_app_main(&uri_arg, &app_restart);
 
     if (stdout_refresh_thread) {
@@ -6219,4 +3341,8 @@
     for (i=0; i<app_config.tone_count; ++i) {
 	pjsua_conf_remove_port(app_config.tone_slots[i]);
+    }
+
+    if (app_config.use_cli) {	
+	destroy_cli();
     }
 
@@ -6303,5 +3429,4 @@
     status = pjmedia_snd_port_connect(app_config.snd, app_config.sc);
     pj_assert(status == PJ_SUCCESS);
-
 }
 #endif
